Package org.apache.commons.beanutils2.locale.converters

# Class BigIntegerLocaleConverter.Builder

java.lang.Object
org.apache.commons.beanutils2.locale.BaseLocaleConverter.Builder<BigIntegerLocaleConverter.Builder,BigInteger>
org.apache.commons.beanutils2.locale.converters.DecimalLocaleConverter.Builder<BigIntegerLocaleConverter.Builder,BigInteger>
org.apache.commons.beanutils2.locale.converters.BigIntegerLocaleConverter.Builder

Enclosing class:
  `BigIntegerLocaleConverter`

public static class BigIntegerLocaleConverter.Builder extends DecimalLocaleConverter.Builder<BigIntegerLocaleConverter.Builder,BigInteger>
Builds instances of `BigIntegerLocaleConverter`.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.beanutils2.locale.BaseLocaleConverter.Builder

  `defaultValue, locale, localizedPattern, pattern, useDefault`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigIntegerLocaleConverter`
  `get()`
  Constructs a new instance.

  ### Methods inherited from class org.apache.commons.beanutils2.locale.BaseLocaleConverter.Builder

  `asThis, setDefault, setLocale, setLocalizedPattern, setPattern, setUseDefault`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### get

    public BigIntegerLocaleConverter get()
    Description copied from class: `DecimalLocaleConverter.Builder`
    Constructs a new instance.

    By default, construct a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine and an unlocalized pattern is used for the conversion.

    Overrides:
      `get` in class `DecimalLocaleConverter.Builder<BigIntegerLocaleConverter.Builder,BigInteger>`
    Returns:
      a new instance.